Imagick::contrastImage
Imagick::convolveImage
The Imagick class
PHP Manual

# Imagick::contrastStretchImage

(No version information available, might be only in CVS)

Imagick::contrastStretchImage — Enhances the contrast of a color image

### Description

bool Imagick::contrastStretchImage ( float `$black_point` , float `$white_point` [, int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Enhances the contrast of a color image by adjusting the pixels color to span the entire range of colors available

### Parameters

`black_point`

  The black point.

`white_point`

  The white point.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

Imagick::contrastImage
Imagick::convolveImage
The Imagick class
PHP Manual